Ticket #27054: traceback.txt

File traceback.txt, 2.9 KB (added by Jim Nicholls, 5 years ago)

Traceback of MigrationSchemaMissing

Line 
1Traceback (most recent call last):
2  File "/usr/local/lib/python3.5/site-packages/django/db/backends/utils.py", line 62, in execute
3    return self.cursor.execute(sql)
4psycopg2.ProgrammingError: permission denied for schema external_db
5
6
7The above exception was the direct cause of the following exception:
8
9Traceback (most recent call last):
10  File "/usr/local/lib/python3.5/site-packages/django/db/migrations/recorder.py", line 57, in ensure_schema
11    editor.create_model(self.Migration)
12  File "/usr/local/lib/python3.5/site-packages/django/db/backends/base/schema.py", line 295, in create_model
13    self.execute(sql, params or None)
14  File "/usr/local/lib/python3.5/site-packages/django/db/backends/base/schema.py", line 112, in execute
15    cursor.execute(sql, params)
16  File "/usr/local/lib/python3.5/site-packages/django/db/backends/utils.py", line 64, in execute
17    return self.cursor.execute(sql, params)
18  File "/usr/local/lib/python3.5/site-packages/django/db/utils.py", line 94, in __exit__
19    six.reraise(dj_exc_type, dj_exc_value, traceback)
20  File "/usr/local/lib/python3.5/site-packages/django/utils/six.py", line 685, in reraise
21    raise value.with_traceback(tb)
22  File "/usr/local/lib/python3.5/site-packages/django/db/backends/utils.py", line 62, in execute
23    return self.cursor.execute(sql)
24django.db.utils.ProgrammingError: permission denied for schema external_db
25
26
27During handling of the above exception, another exception occurred:
28
29Traceback (most recent call last):
30  File "manage.py", line 22, in <module>
31    execute_from_command_line(sys.argv)
32  File "/usr/local/lib/python3.5/site-packages/django/core/management/__init__.py", line 367, in execute_from_command_line
33    utility.execute()
34  File "/usr/local/lib/python3.5/site-packages/django/core/management/__init__.py", line 359, in execute
35    self.fetch_command(subcommand).run_from_argv(self.argv)
36  File "/usr/local/lib/python3.5/site-packages/django/core/management/base.py", line 305, in run_from_argv
37    self.execute(*args, **cmd_options)
38  File "/usr/local/lib/python3.5/site-packages/django/core/management/base.py", line 356, in execute
39    output = self.handle(*args, **options)
40  File "/usr/local/lib/python3.5/site-packages/django/core/management/commands/makemigrations.py", line 100, in handle
41    loader.check_consistent_history(connection)
42  File "/usr/local/lib/python3.5/site-packages/django/db/migrations/loader.py", line 276, in check_consistent_history
43    applied = recorder.applied_migrations()
44  File "/usr/local/lib/python3.5/site-packages/django/db/migrations/recorder.py", line 65, in applied_migrations
45    self.ensure_schema()
46  File "/usr/local/lib/python3.5/site-packages/django/db/migrations/recorder.py", line 59, in ensure_schema
47    raise MigrationSchemaMissing("Unable to create the django_migrations table (%s)" % exc)
48django.db.migrations.exceptions.MigrationSchemaMissing: Unable to create the django_migrations table (permission denied for schema external_db)
Back to Top